#include "Matrice.hxx"
#include <cuda_runtime.h>

void hMatrice::allocate(int n, int m)
{
    if (_c)
        delete [] _c;

    _n = n;
    _m = m;
    _nbytes = _n * _m * sizeof(float);
    _c = new float[_n*_m];
}

hMatrice::~hMatrice()
{
    if (_c) delete[] _c;
}

void dMatrice::allocate(int n, int m)
{
    if (_c)
        cudaFree(_c);

    _n = n;
    _m = m;
    _nbytes = _n * _m * sizeof(float);
    cudaMalloc(&_c, _nbytes); 
}

dMatrice::~dMatrice()
{
    cudaFree(_c);
}

#include <iomanip>
std::ostream & operator<< (std::ostream & f, const hMatrice & M)
{
    int i,j, n = M.n(), m = M.m();
    
    f << std::endl;
    for (i = 0; i<n; i++)
    {
        f << std::setw(5) << i << ": " ;
        for (j = 0; j<m; j++)
            f << " " << std::setw(14) << std::setprecision(7) << M(i,j);
        f << std::endl;
    }
    f << std::endl;
    return f;
}
